import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaNoAuthProbeStatus } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaNoAuthProbeStatusService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaNoAuthProbeStatus[]> {
    return this.rpcService.call('MetaNoAuthProbeStatusService.readAll');
  }
}
